package com.wd.workoffice.model;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.WorkContactsContract;
import com.wd.workoffice.retrofit.RtfUtils;

import java.util.Map;

import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkContactsModel implements WorkContactsContract.Model {
    public static WorkContactsModel newInstance() {
        return new WorkContactsModel();
    }

    @Override
    public Observable<BaseBean> getData(Map<String, Object> param) {
        return  RtfUtils.getRtf().getContacts(param);
    }
}
